Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Storm™

Reply
New Contributor
darmstrong
Posts: 2
Registered: ‎07-16-2013
My Device: Blackberry Storm 9530
My Carrier: Bell Mobility

Can't "Upgrade my software"

I went to purchase the Documents To Go Premium, By DataViz, Inc. but my Blackberry Storm 9530 gets hung up at 3. Upgrade your software

 

The following was displayed on the webpage:

 

You need the latest version of BlackBerry World installed on your smartphone to continue.

 

I copied the above message to paste here & the following came with it.  This was not seen on the webpage:

 

* Please do not navigate away from this page or disconnect your smartphone while BlackBerry World is installing.

 

* Your device is restarting. Please do not disconnect your smartphone from your computer.

 BlackBerry World 2.0 has been successfully installed.

 You have a version of BlackBerry World that enables account creation.

 

You need an upgraded version of the BlackBerry World storefront on your device in order to continue. 

 

Any ideas on how to get this to work?

 

Thanks in advance, Doug Armstrong

Please use plain text.
BlackBerry Technical Advisor (Retired)
hatchback
Posts: 2,283
Registered: ‎09-09-2010
My Device: BlackBerry Z10 Smartphone

Re: Can't "Upgrade my software"

Hey darmstrong,

Welcome to the BlackBerry® Support Community Forums.

 

To clarify what version of BlackBerry World do you currently have installed? (Options> Advanced options> Applications)

 

Thank you.

-HB

 

Come follow your BlackBerry Technical Team on twitter! @BlackBerryHelp

Be sure to click Kudos! for those who have helped you.

Click Solution? for posts that have solved your issue(s)!

Please use plain text.